Subject: Re: [Netconf] [Gen-art] Genart last call review of draft-ietf-netconf-nmda-netconf-06

From: Christer Holmberg <[email-masked]>
Date: Tue, 31 Jul 2018 14:27:36 +0000

Hi Juergen,

It seems like I missed your reply earlier. Sorry for that. See inline.

>> Minor issues:
>>
>> Sometimes, when a draft updates an existing RFC, people ask whether
>> implementations not implementing the draft are still compliant with the updated
>> RFC. Based on discussions, the consensus seems to be that existing
>> implementations are still compliant, and if one wants to mandate the new
>> features a bis is needed. I would just like to confirm whether that applies
>> also to this draft. If so, perhaps a note indicating that would be useful, in
>> order to avoid discussions in future?
>
> An existing NETCONF server not implementing NMDA is still compliant to
> the RFC 6241. However, a NETCONF server implementing NMDA (RFC 8342)
> has to implement this update to RFC 6241. Do you want to have this
> stated more explicitly? (We will have the same for RESTCONF and the
> NMDA update of RESTCONF.)

I think it would be useful.

>> Related to that, it would also be good to have an interoperability
>> statement, saying that implementations that implement the draft will
>> still work with implementations that do not.
>
> This primarily concerns clients: They need to be able to fallback to
> using <edit-config> instead of <edit-data> and <get> instead of
> <get-data> if they communicate with a non NMDA NETCONF server. I am
> not sure whether this is a "SHOULD be able to fallback" or a "MUST be
> able to fallback".

If you use MUST, you guarantee that fallback will always work (assuming implementations follow the spec). If you use SHOULD, I think you'll need some additional discussion on when it doesn't apply, what to do then, etc.

So, my suggestion (from a reviewer perspective) would be MUST.

Regards,

Christer